<template>
    <div id="catalog" class="g-grid">
        <Item v-for="item in filteredItems"
              :item="item"
              :key="item.id"
        ></Item>
    </div>
</template>

<script>
import { mapGetters } from "vuex";
import Item from "./Item";

export default {
  name: "Catalog",
  components: {
    Item
  },
  computed: {
    ...mapGetters("catalog", ["filteredItems"])
  }
};
</script>
